/* Developed for Lenovo Educational Board Pass 2
   © Lenovo Created by Joshua Grosser
   v. 1.0 */

// constants used here to set pin numbers
const int buttonPin = 1; // the number of the pushbutton pin
const int ledPin = 13; // the number of the Blue LED pin

int buttonState = 0; //variable for reading the pushbutton status

void setup() {
  // initialize the LED pin as output
  pinMode(ledPin, OUTPUT);
  // initialize the pushbutton pin as input
  pinMode(buttonPin, INPUT);
}

void loop() {
  // read the state of the pushbutton value
  buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH
  if (buttonState == HIGH) {
    // turn LED on
    digitalWrite(ledPin, HIGH);
  } else {
    // turn LED off
    digitalWrite(ledPin, LOW);
  }
}
